Subject: Lockfile alternatives for AIX

From: Vinod Peris <[email-masked]>
Date: Mon, 03 Apr 1995 10:33:04 -0400

Hi,

I just installed procmail to automatically file some of my mail from
mailing lists into MH folders. The rest of my mail I would like it to
leave in the system mailbox : /usr/spool/mail/$LOGNAME

I am running AIX v3 Release 2, and procmail is unable to create the
lockfile in /usr/spool/mail directory.  I looked in the FAQ and
specified an alternative lockfile which is $MAILDIR/$LOGNAME.lock

The only other programs I use are the mail program, and the MH inc
program.  I am not sure what locking method they use. Is there some
risk that I may lose some mail. If so, what is the best way out of
this.

Thanks,

--Vinod